%dip_ftcube   Generates the Fourier transform of a cube.
%    out = dip_ftcube(length, amplitude)
%
%   length
%      Real number.
%   amplitude
%      Real number.

% (C) Copyright 1999-2000               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, February-May 1999.

%   DATATYPES:
%Output: sfloat, scomplex
%FUNCTION
%Generates the Fourier transform of a cube with the length of its sides equal
%to two times length.
%ARGUMENTS
%
%  DIPlib      SCIL-Image     Description
%  dip_Image image      IMAGE *image      Output Image
%  dip_float length     double length     Length
%  dip_float amplitude     double amplitude     Amplitude
%
%SEE ALSO
% FTEllipsoid , FTSphere , FTBox , FTCross , FTGaussian
